Home

# Class goog.editor.plugins.Blockquote

Plugin to handle splitting block quotes. This plugin does nothing on its own and should be used in conjunction with EnterHandler or one of its subclasses.

extends goog.editor.Plugin

Instance Method Summary
| `getBlockquoteClassName() ⇒ string` Gets the class name required for setup blockquotes.
| `insertEmptyTextNodeBeforeRange_() ⇒ !Node` Inserts an empty text node before the field's range.
| `isSetupBlockquote(?Node node) ⇒ boolean` Checks if a node is a blockquote element which has been setup.

`isSplittableBlockquote(?Node node) ⇒ boolean`

Checks if a node is a blockquote which can be split. A splittable blockquote meets the following criteria:

1. Node is a blockquote element
2. Node has the blockquote classname if the classname is required to split

| `isSupportedCommand(string command) ⇒ boolean` Whether the string corresponds to a command this plugin handles.
| `isUnsetupBlockquote(?Node node) ⇒ boolean` Checks if a node is a blockquote element which has not been setup yet.
| `splitQuotedBlockIE_(?Node splitNode) ⇒ boolean` IE version of splitQuotedBlock_.
| `splitQuotedBlockW3C_(?Object anchorPos) ⇒ boolean` Version of splitQuotedBlock_ that uses W3C ranges.

Static Method Summary
| `findAndRemoveSingleChildAncestor_(?Node node, ?Node root)` Helper routine which walks up the tree to find the topmost ancestor with only a single child. The ancestor node or the original node (if no ancestor was found) is then removed from the DOM.
| `isBlockquote(?Node node, boolean isAlreadySetup, boolean requiresClassNameToSplit, string className) ⇒ boolean` Checks if a node is a blockquote node. If isAlreadySetup is set, it also makes sure the node has the blockquote classname applied. Otherwise, it ensures that the blockquote does not already have the classname applied.
| `removeAllWhiteSpaceNodes_(?Array nodes)` Remove every nodes from the DOM tree that are all white space nodes.